﻿
/* =======================================================================
  color
======================================================================= */
:root{
  --NVY: #2A2E39;
  --BEG: #EDE8AC;
  --GRN:#7ebea5;
  --OLV:#546C33;
  --BLK:#595857;
  --MIX:#000000;
  --CHECK:#000000;
  --BLU:#2a83a2;
  --CRM:#F0EEE4;
  --BRW:#8e7036;
  --KKI:#808019;
  --DGRY:#444444;
  --GRY:#cccccc;
  --WHT:#f9f8f6;
  --OWHT:#FFFFFF;
  --DBRW:#43230E;
  --LBLU:#83CCF7;
  --ORG:#f6ad49;
  --RED:#ee827c;
  --YEL:#EEC362;
  --PNK:#f6bfbc;
  --OTHER:#000000;
  --LBEG:#F9EFE5;
  --IVR:#f9f8f6;
  --PPL:#a59aca;
  --MNT:#A8B7B7;
  --TUQ:#18A4F0;
  --PBEG:#F6E3DC;
  --SKY:#A0D8EF;
  --LBRW:#AE7F53;
  --IND:#4b0082;
  --LAV:#a59aca;
  --OATMEAL:#fffffc;
  --GBEG:#CCC3AA;
  --WINE:#640021;
  --LPNK:#EADCD6;
  --PCH:#ffb3cc;
  --ROSE:#e83929;
  --A:#f6bfbc; /* 2025/09/04 変更 */
  --B:#c0c0c0; /* 2025/09/04 変更 */
  --C:#2a83a2; /* 2025/09/04 変更 */
}


/*//////////////////////////////////////////////////


//////////////////////////////////////////////////*/


/* ▼ 2026/01/07 追加 | 限定カラー設定時に適用 ▼ */
:is([data-var^="NVY"]).VariationPanel,
:is([data-var^="NVY"]).VariationPanelSelected {
  background: var(--NVY);
}

:is([data-var^="BEG"]).VariationPanel,
:is([data-var^="BEG"]).VariationPanelSelected
{
  background: var(--BEG);
}
:is([data-var^="GRN"]).VariationPanel,
:is([data-var^="GRN"]).VariationPanelSelected
{
  background: var(--GRN);
}
:is([data-var^="OLV"]).VariationPanel,
:is([data-var^="OLV"]).VariationPanelSelected
{
  background: var(--OLV);
}
:is([data-var^="BLK"]).VariationPanel,
:is([data-var^="BLK"]).VariationPanelSelected {
  background: var(--BLK);
}
:is([data-var^="MIX"]).VariationPanel,
:is([data-var^="MIX"]).VariationPanelSelected
{
  background: var(--MIX);
}
:is([data-var^="CHECK"]).VariationPanel,
:is([data-var^="CHECK"]).VariationPanelSelected
{
  background: var(--CHECK);
}
:is([data-var^="BLU"]).VariationPanel,
:is([data-var^="BLU"]).VariationPanelSelected
{
  background: var(--BLU);
}
:is([data-var^="CRM"]).VariationPanel,
:is([data-var^="CRM"]).VariationPanelSelected
{
  background: var(--CRM);
}
:is([data-var^="BRW"]).VariationPanel,
:is([data-var^="BRW"]).VariationPanelSelected
{
  background: var(--BRW);
}
:is([data-var^="KKI"]).VariationPanel,
:is([data-var^="KKI"]).VariationPanelSelected
{
  background: var(--KKI);
}
:is([data-var^="DGRY"]).VariationPanel,
:is([data-var^="DGRY"]).VariationPanelSelected
{
  background: var(--DGRY);
}
:is([data-var^="GRY"]).VariationPanel,
:is([data-var^="GRY"]).VariationPanelSelected
{
  background: var(--GRY);
}
:is([data-var^="WHT"]).VariationPanel,
:is([data-var^="WHT"]).VariationPanelSelected
{
  background: var(--WHT);
  border: 1px #cccccc solid;
}

:is([data-var^="OWHT"]).VariationPanel,
:is([data-var^="OWHT"]).VariationPanelSelected
{
  background: var(--OWHT);
  border: 1px #cccccc solid;
}

:is([data-var^="DBRW"]).VariationPanel,
:is([data-var^="DBRW"]).VariationPanelSelected
{
  background: var(--DBRW);
}
:is([data-var^="LBLU"]).VariationPanel,
:is([data-var^="LBLU"]).VariationPanelSelected
{
  background: var(--LBLU);
}
:is([data-var^="ORG"]).VariationPanel,
:is([data-var^="ORG"]).VariationPanelSelected
{
  background: var(--ORG);
}
:is([data-var^="RED"]).VariationPanel,
:is([data-var^="RED"]).VariationPanelSelected
{
  background: var(--RED);
}
:is([data-var^="YEL"]).VariationPanel,
:is([data-var^="YEL"]).VariationPanelSelected
{
  background: var(--YEL);
}
:is([data-var^="PNK"]).VariationPanel,
:is([data-var^="PNK"]).VariationPanelSelected
{
  background: var(--PNK);
}
:is([data-var^="OTHER"]).VariationPanel,
:is([data-var^="OTHER"]).VariationPanelSelected
{
  background: var(--OTHER);
}
:is([data-var^="LBEG"]).VariationPanel,
:is([data-var^="LBEG"]).VariationPanelSelected
{
  background: var(--LBEG);
}
:is([data-var^="IVR"]).VariationPanel,
:is([data-var^="IVR"]).VariationPanelSelected
{
  background: var(--IVR);
  border: 1px #cccccc solid;
}
:is([data-var^="PPL"]).VariationPanel,
:is([data-var^="PPL"]).VariationPanelSelected
{
  background: var(--PPL);
}
:is([data-var^="MNT"]).VariationPanel,
:is([data-var^="MNT"]).VariationPanelSelected
{
  background: var(--MNT);
}
:is([data-var^="TUQ"]).VariationPanel,
:is([data-var^="TUQ"]).VariationPanelSelected
{
  background: var(--TUQ);
}
:is([data-var^="PBEG"]).VariationPanel,
:is([data-var^="PBEG"]).VariationPanelSelected
{
  background: var(--PBEG);
}
:is([data-var^="SKY"]).VariationPanel,
:is([data-var^="SKY"]).VariationPanelSelected
{
  background: var(--SKY);
}
:is([data-var^="LBRW"]).VariationPanel,
:is([data-var^="LBRW"]).VariationPanelSelected
{
  background: var(--LBRW);
}
:is([data-var^="IND"]).VariationPanel,
:is([data-var^="IND"]).VariationPanelSelected
{
  background: var(--IND);
}
:is([data-var^="CML"]).VariationPanel,
:is([data-var^="CML"]).VariationPanelSelected
{
  background: var(--BRW);
}
:is([data-var^="LAV"]).VariationPanel,
:is([data-var^="LAV"]).VariationPanelSelected
{
  background: var(--LAV);
}
:is([data-var^="OATMEAL"]).VariationPanel,
:is([data-var^="OATMEAL"]).VariationPanelSelected
{
  background: var(--OATMEAL);
  border: 1px #cccccc solid;
}
:is([data-var^="GBEG"]).VariationPanel,
:is([data-var^="GBEG"]).VariationPanelSelected
{
  background: var(--GBEG);
}
:is([data-var^="WINE"]).VariationPanel,
:is([data-var^="WINE"]).VariationPanelSelected
{
  background: var(--WINE);
}
:is([data-var^="LPNK"]).VariationPanel,
:is([data-var^="LPNK"]).VariationPanelSelected
{
  background: var(--LPNK);
}
:is([data-var^="PCH"]).VariationPanel,
:is([data-var^="PCH"]).VariationPanelSelected
{
  background: var(--PCH);
}
:is([data-var^="ROSE"]).VariationPanel,
:is([data-var^="ROSE"]).VariationPanelSelected
{
  background: var(--ROSE);
}
/* ▲ 2026/01/07 追加 | 限定カラー設定時に適用 ▲ */


.NVY_chip.VariationPanel,
.NVY_chip.VariationPanelSelected
{
  background: var(--NVY);
}
.BEG_chip.VariationPanel,
.BEG_chip.VariationPanelSelected
{
  background: var(--BEG);
}
.GRN_chip.VariationPanel,
.GRN_chip.VariationPanelSelected
{
  background: var(--GRN);
}
.OLV_chip.VariationPanel,
.OLV_chip.VariationPanelSelected
{
  background: var(--OLV);
}
.BLK_chip.VariationPanel,
.BLK_chip.VariationPanelSelected
{
  background: var(--BLK);
}
.MIX_chip.VariationPanel,
.MIX_chip.VariationPanelSelected
{
  background: var(--MIX);
}
.CHECK_chip.VariationPanel,
.CHECK_chip.VariationPanelSelected
{
  background: var(--CHECK);
}
.BLU_chip.VariationPanel,
.BLU_chip.VariationPanelSelected
{
  background: var(--BLU);
}
.CRM_chip.VariationPanel,
.CRM_chip.VariationPanelSelected
{
  background: var(--CRM);
}
.BRW_chip.VariationPanel,
.BRW_chip.VariationPanelSelected
{
  background: var(--BRW);
}
.KKI_chip.VariationPanel,
.KKI_chip.VariationPanelSelected
{
  background: var(--KKI);
}
.DGRY_chip.VariationPanel,
.DGRY_chip.VariationPanelSelected
{
  background: var(--DGRY);
}
.GRY_chip.VariationPanel,
.GRY_chip.VariationPanelSelected
{
  background: var(--GRY);
}
.WHT_chip.VariationPanel,
.WHT_chip.VariationPanelSelected
{
  background: var(--WHT);
  border: 1px #cccccc solid;
}

.OWHT_chip.VariationPanel,
.OWHT_chip.VariationPanelSelected
{
  background: var(--OWHT);
  border: 1px #cccccc solid;
}

.DBRW_chip.VariationPanel,
.DBRW_chip.VariationPanelSelected
{
  background: var(--DBRW);
}
.LBLU_chip.VariationPanel,
.LBLU_chip.VariationPanelSelected
{
  background: var(--LBLU);
}
.ORG_chip.VariationPanel,
.ORG_chip.VariationPanelSelected
{
  background: var(--ORG);
}
.RED_chip.VariationPanel,
.RED_chip.VariationPanelSelected
{
  background: var(--RED);
}
.YEL_chip.VariationPanel,
.YEL_chip.VariationPanelSelected
{
  background: var(--YEL);
}
.PNK_chip.VariationPanel,
.PNK_chip.VariationPanelSelected
{
  background: var(--PNK);
}
.OTHER_chip.VariationPanel,
.OTHER_chip.VariationPanelSelected
{
  background: var(--OTHER);
}
.LBEG_chip.VariationPanel,
.LBEG_chip.VariationPanelSelected
{
  background: var(--LBEG);
}
.IVR_chip.VariationPanel,
.IVR_chip.VariationPanelSelected
{
  background: var(--IVR);
  border: 1px #cccccc solid;
}
.PPL_chip.VariationPanel,
.PPL_chip.VariationPanelSelected
{
  background: var(--PPL);
}
.MNT_chip.VariationPanel,
.MNT_chip.VariationPanelSelected
{
  background: var(--MNT);
}
.TUQ_chip.VariationPanel,
.TUQ_chip.VariationPanelSelected
{
  background: var(--TUQ);
}
.PBEG_chip.VariationPanel,
.PBEG_chip.VariationPanelSelected
{
  background: var(--PBEG);
}
.SKY_chip.VariationPanel,
.SKY_chip.VariationPanelSelected
{
  background: var(--SKY);
}
.LBRW_chip.VariationPanel,
.LBRW_chip.VariationPanelSelected
{
  background: var(--LBRW);
}
.IND_chip.VariationPanel,
.IND_chip.VariationPanelSelected
{
  background: var(--IND);
}
.CML_chip.VariationPanel,
.CML_chip.VariationPanelSelected
{
  background: var(--BRW);
}
.LAV_chip.VariationPanel,
.LAV_chip.VariationPanelSelected
{
  background: var(--LAV);
}
.OATMEAL_chip.VariationPanel,
.OATMEAL_chip.VariationPanelSelected
{
  background: var(--OATMEAL);
  border: 1px #cccccc solid;
}
.GBEG_chip.VariationPanel,
.GBEG_chip.VariationPanelSelected
{
  background: var(--GBEG);
}
.WINE_chip.VariationPanel,
.WINE_chip.VariationPanelSelected
{
  background: var(--WINE);
}
.LPNK_chip.VariationPanel,
.LPNK_chip.VariationPanelSelected
{
  background: var(--LPNK);
}
.PCH_chip.VariationPanel,
.PCH_chip.VariationPanelSelected
{
  background: var(--PCH);
}
.ROSE_chip.VariationPanel,
.ROSE_chip.VariationPanelSelected
{
  background: var(--ROSE);
}
.A_chip.VariationPanel,
.A_chip.VariationPanelSelected
{
  background: var(--A);
}
.B_chip.VariationPanel,
.B_chip.VariationPanelSelected
{
  background: var(--B);
}
/* ▼ 2025/09/04 追加 ▼ */
.C_chip.VariationPanel,
.C_chip.VariationPanelSelected
{
  background: var(--C);
}
/* ▲ 2025/09/04 追加 ▲ */